package com.one;

import com.one.file.ConnectionProvider;
import javax.microedition.io.ConnectionNotFoundException;
import javax.microedition.lcdui.Display;
import javax.microedition.midlet.MIDletStateChangeException;

public interface RootLoader
{
	public void startApp() throws MIDletStateChangeException;
	public void pauseApp();
	public void destroyApp(boolean unconditional) throws MIDletStateChangeException;
	public void restartApp();

	public void notifyPaused();
	public void notifyDestroyed();

	public boolean platformRequest(String url) throws ConnectionNotFoundException;
	
	public Display getDisplay();
	public String getAppProperty(String key);
	public Accelerometer getAccelerometer();
	public ConnectionProvider getConnectionProvider();
	public boolean useNoEffects();
}
